%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
Name:           zapplet
Version:        0.1
Release:        1
Summary:        Zenoss Tray Applet
Group:          Applications/Communications
License:        GPLv2
URL:            http://zapplet.sourceforge.net
Source0:        http://downloads.sourceforge.net/zapplet/zapplet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel python-setuptools desktop-file-utils
Requires:       python gtk2 
BuildArch:      noarch

%description
Zapplet is a tray applet for monitoring aspects of your Zenoss installation \
from the desktop. The intention is to work from all desktops supported by GTK.

%prep
%setup -q -n zapplet-%{version}
echo "To have Zapplet start on login use the following command as root: 'cp /usr/share/applications/zapplet.desktop  /etc/xdg/autostart/zapplet.desktop' " > README
%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

desktop-file-install --add-category="Network" --dir=%{buildroot}%{_datadir}/applications zapplet.desktop
rm -rf %{buildroot}%{_sysconfdir}/xdg/autostart/zapplet.desktop
chmod 755 %{buildroot}%{_bindir}/%{name}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%{_bindir}/%{name} 
%{_datadir}/applications/zapplet.desktop
%doc README
%changelog
* Sun Dec 14 2008 David Nalley <david@gnsa.us> 0.1-1
- Initial packaging efforts
